Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://rpc.raze.bot/ \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": 1, "method": "getBlockProduction", "params": [] } '
200
success
{ "jsonrpc": "2.0", "id": 1, "result": { "context": { "slot": 418262996 }, "value": { "byIdentity": { "11AMA4mnNbsrPQeuoNN7uiZVJZtqEzQHrTfa5vnbcjk": [ 4, 4 ] }, "range": { "firstSlot": 417960000, "lastSlot": 418262996 } } } }
Returns slots / blocks produced per validator over a slot range.
2.0
"2.0"
getBlockProduction
"getBlockProduction"
[config?] — config {identity, range, commitment}
[config?]
config
{identity, range, commitment}
[]
1
JSON-RPC response. Inspect result (success) or error (failure).
result
error